using Lydos.Tablets;
using System;
using System.Windows.Forms;

namespace Lydos.Demos.Tablets
{
    public partial class Form1 : TabletForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Tablet.PenMove += new EventHandler<TabletEventArgs>(tablet_PenMove);
            Tablet.NormalPressureChange += new EventHandler<TabletEventArgs>(tablet_NormalPressureChange);
            Tablet.ProximityEnter += new EventHandler<EventArgs>(tablet_ProximityEnter);
            Tablet.ProximityLeave += new EventHandler<EventArgs>(tablet_ProximityLeave);
            if (Tablet.Present())
            {
                tabletPresentlabel.Text = "Tablet present: true";
            }
            if (Tablet.Enabled)
            {
                tabletEnabledlabel.Text = "Tablet enabled: true";
            }
            tabletNameLabel.Text = "Tablet name: " + Tablet.Name;
        }

        private void tablet_PenMove(object o, TabletEventArgs e)
        {
            penLocationLabel.Text = "Pen location: " + e.X + ", " + e.Y;
        }

        private void tablet_NormalPressureChange(object o, TabletEventArgs e)
        {
            pressureLabel.Text = "Pressure: " + e.NormalPressure;
        }

        private void tablet_ProximityEnter(object o, EventArgs e)
        {
            penProximityLabel.Text = "Pen proximity: entered";
        }

        private void tablet_ProximityLeave(object o, EventArgs e)
        {
            penProximityLabel.Text = "Pen proximity: left";
        }

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            mouseLocationLabel.Text = "Mouse location: " + e.X + ", " + e.Y;
        }
    }
}
